<!DOCTYPE html>
<html lang="en">
	<head>
		<meta charset="UTF-8" />
		<meta http-equiv="X-UA-Compatible" content="IE=edge" />
		<meta name="viewport" content="width=device-width, initial-scale=1.0" />
		<!-- displays site properly based on user's device -->

		<link
			rel="icon"
			type="image/png"
			sizes="32x32"
			href="./images/favicon-32x32.png"
		/>
		<link rel="preconnect" href="https://fonts.googleapis.com" />
		<link rel="preconnect" href="https://fonts.gstatic.com" crossorigin />
		<link
			href="https://fonts.googleapis.com/css2?family=Montserrat:wght@400;500;700&display=swap "
			rel="stylesheet"
		/>

		<link rel="stylesheet" href="style.css" />
		<title>Pricing component</title>
	</head>
	<body>
		<nav>
			<div class="nav-menu">
				<ul>
					<li><a href="/index.html">Home</a></li>
					<li><a href="#">About Us</a></li>
					<li><a href="/contacts.html">Contact Us</a></li>
					<li><a href="#">Login</a></li>
					<li><a href="#">Sign Up</a></li>
				</ul>
			</div>
		</nav>
		<div class="main-heading">
			<h4>Our Pricing</h4>
			<div class="price-menu">
				<span class="menu">Annually</span>
				<div class="toggle-btn" onclick="btnToggler()">
					<div class="inner-circle"></div>
				</div>
				<span class="menu">Monthly</span>
			</div>
		</div>
		<div class="main-card">
			<div class="cards">
				<p>Basic</p>
				<h1>
					<span class="dollar">&dollar;</span>
					<span id="basic-price">199.99</span>
				</h1>
				<p>500 GB Storage</p>
				<p>2 Users Allowed</p>
				<p>Send up to 3 GB</p>
				<button>LEARN MORE</button>
			</div>
			<div class="cards">
				<p>Professional</p>
				<h1>
					<span class="dollar">&dollar;</span>
					<span id="professional-price">249.99</span>
				</h1>
				<p>1 TB Storage</p>
				<p>5 Users Allowed</p>
				<p>Send up to 10 GB</p>
				<button>LEARN MORE</button>
			</div>
			<div class="cards">
				<p>Master</p>
				<h1>
					<span class="dollar">&dollar; </span
					><span id="master-price">399.99</span>
				</h1>
				<p>2 TB Storage</p>
				<p>10 Users Allowed</p>
				<p>Send upto 20GB</p>
				<button>LEARN MORE</button>
			</div>
		</div>
		<script>
			function btnToggler() {
				const btn = document.querySelector(".toggle-btn");
				btn.classList.toggle("active");
				let masterPrice = document.getElementById("master-price").innerText;
				let basicPrice = document.getElementById("basic-price").innerText;
				let professionalPrice =
					document.getElementById("professional-price").innerText;
				if (masterPrice === "399.99") {
					document.getElementById("master-price").innerText = "39.99";
				} else {
					document.getElementById("master-price").innerText = "399.99";
				}
				if (basicPrice === "199.99") {
					document.getElementById("basic-price").innerText = "19.99";
				} else {
					document.getElementById("basic-price").innerText = "199.99";
				}
				if (professionalPrice === "249.99") {
					document.getElementById("professional-price").innerText = "24.99";
				} else {
					document.getElementById("professional-price").innerText = "249.99";
				}
			}
		</script>
	</body>
</html>
